Subject: [saag] kitten status report for IETF 98

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 28 Mar 2017 21:03:49 -0500

kitten is not meeting in Chicago.

Since Seoul, we have been pretty succesful in clearing some backlog;
we published three RFCs (8062, 8070, and 8129), and have another
draft waiting for shepherd writeup (draft-ietf-kitten-rfc5653bis).

We've adopted a new document
(draft-ietf-kitten-krb-service-discovery) to document a scheme
already deployed by MIT/Red Hat for consolidating KDC discovery into
a single URI query.

This leaves us in a position to pick up some additional new work;
likely candidates include a PAKE preauthentication scheme for
Kerberos that can do integrated second factor (no proper password +
second factor scheme is standardized yet), and deprecating the
triple-DES and RC4 kerberos enctypes.

-Ben